## libstax-java 1.2.0

=== debian/changelog ===
libstax-java (1.2.0-3build1) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.

 -- James Page <james.page@ubuntu.com>  Fri, 18 May 2012 11:44:42 +0100

libstax-java (1.2.0-3) unstable; urgency=low

  * Team upload.
  * Switch to default-jdk. (Closes: #642119),
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Update Vcs-* fields.
  * Make copyright file DEP-5 compliant.

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 19 Sep 2011 13:24:01 -0430

libstax-java (1.2.0-2) unstable; urgency=low

  * Team upload.
  * Switch to source format 3.0.
  * Change Standards-Version: 3.9.1.

 -- Torsten Werner <twerner@debian.org>  Tue, 16 Aug 2011 23:02:05 +0200

libstax-java (1.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #535700)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sat, 04 Jul 2009 00:38:47 +0100
