=== debian/control ===
Source: libstax-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Ludovic Claude <ludovic.claude@laposte.net>
Build-Depends: debhelper (>= 7), cdbs, default-jdk
Build-Depends-Indep: ant, ant-optional, junit, libjaxp1.3-java
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libstax-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libstax-java
Homepage: http://stax.codehaus.org/

Package: libstax-java
Architecture: all
Depends: ${misc:Depends}, libjaxp1.3-java
Suggests: libstax-java-doc
Description: StAX Reference Implementation (RI)
 StAX is a standard XML processing API that allows you to stream XML data 
 from and to your application. This StAX implementation is the standard 
 pull parser implementation for JSR-173 specification.

Package: libstax-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libstax-java
Description: Javadoc API for libstax-java
 StAX is a standard XML processing API that allows you to stream XML data 
 from and to your application. This StAX implementation is the standard 
 pull parser implementation for JSR-173 specification.
 .
 This package provides the Javadoc API for StAX.
