=== debian/watch ===
version=3
http://dist.codehaus.org/stax/distributions/stax-src-([\d\.]*).zip debian debian/orig-tar.sh
